<?php
// Prevert Hacking
if (!defined('SMF'))
	die('Hacking attempt...');

function Pages()
{
	global $txt, $context, $scripturl, $db_prefix, $pages_groups;

	// You need to be an admin to edit settings!
	isAllowedTo('admin_forum');

	// All the admin bar, to make it right.
	adminIndex('edit_page');
	loadTemplate('Pages');
	loadLanguage('Pages');

	// Delegation makes the world... that is, the package manager go 'round.
	$subActions = array(
		'main' 		=> 'mainPages',
		'add' 		=> 'addPages',
		'edit' 		=> 'editPages',
		'delete' 	=> 'deletePages',
		'public' 	=> 'publicPages',
		'unpublic' 	=> 'unpublicPages'
	);

	// By default do the basic settings.
	$_REQUEST['sa'] 	= isset($_REQUEST['sa']) && isset($subActions[$_REQUEST['sa']]) ? $_REQUEST['sa'] : 'main';
	$context['sub_action'] 	= $_REQUEST['sa'];
	// Set up some tabs...
	$context['admin_tabs'] 	= array(
		'title' 	=> $txt['page_management'],
		'description' 	=> $txt['page_management_desc'],
		'tabs' 		=> array(
				'main' => array(
					'title' => $txt['page_management_main'],
					'href' => $scripturl . '?action=pgmod',
				),
				'add' => array(
					'title' => $txt['page_management_add'],
					'href' => $scripturl . '?action=pgmod;sa=add',
				)
		)
	);

	if(isset($_POST['save_sort']))
	{
		if(isset($_POST['sort_pages']))
			foreach($_POST['sort_pages'] as $key => $val)
			{
				db_query("
					UPDATE `{$db_prefix}pages`
						SET `SORT` = '".mysql_escape_string($val)."'
							WHERE `ID` = '".mysql_escape_string($key)."'", __FILE__, __LINE__);
			}
		redirectexit('action=pgmod;msg=sorted');
	}


	$query = db_query("
		SELECT `ID_GROUP`, `groupName` FROM `{$db_prefix}membergroups`
			WHERE `minPosts` = -1
				ORDER BY `ID_GROUP` ASC", __FILE__, __LINE__);
	$pages_groups = array(
				array(
					'id' 	=> -1,
					'name' 	=> $txt['page_management_gname_unreg']
				),
				array(
					'id' 	=> 0,
					'name' 	=> $txt['page_management_gname_newreg']
				)
		);
	while($row = mysql_fetch_assoc($query))
	{
		$pages_groups[] = array(
			'id' 	=> $row['ID_GROUP'],
			'name' 	=> $row['groupName']
		);
	}
	mysql_free_result($query);

	// Attempt to automatically select the right tab.
	if (isset($context['admin_tabs']['tabs'][$context['sub_action']]))
		$context['admin_tabs']['tabs'][$context['sub_action']]['is_selected'] = true;
	// Otherwise it's going to be the browse anyway...
	else
		$context['admin_tabs']['tabs']['main']['is_selected'] = true;

	$context['page_title'] = $txt['page_management'];
	// Call the right function.
	$subActions[$_REQUEST['sa']]();
}

function mainPages()
{
	global $context, $txt;

	$context['sub_template'] = 'main';
	$context['page_title'] 	 = $txt['page_management_title'];
}

function addPages()
{
	global $db_prefix, $context, $txt;
	
	if(isset($_POST['add']))
	{
		$public = !empty($_POST['public']) ? 1 : 0;
		$enablephp = !empty($_POST['enablephp']) ? 1 : 0;
		$enablebbc = !empty($_POST['enablebbc']) ? 1 : 0;
		$showmenuitem = !empty($_POST['showmenuitem']) ? 1 : 0;
	
		$error = pages_check_content($_POST['content'], $enablephp, $enablebbc);
		if (!$error)
		{
			$cache_file = pages_put_cache(null, $_POST['content'], $enablephp, $enablebbc);
			if (!$cache_file)
				fatal_error($txt['page_management_error_caching'], false);
			
			$_POST['perms'][] = 1;

			for($i = 0; $i < count($_POST['perms']); $i++)
				$permissions[] = mysql_escape_string($_POST['perms'][$i]);

			$etc = array(
				'TITLE' 		=> mysql_escape_string($_POST['title']),
				'META_KEYWORDS' 	=> mysql_escape_string($_POST['meta_k']),
				'META_DESCRIPTION' 	=> mysql_escape_string($_POST['meta_d'])
			);
		
			db_query("
			INSERT INTO `{$db_prefix}pages`
				(`NAME`, `CONTENT`, `TIME`, `PUBLICATE`, `showmenuitem`, `enablephp`, `enablebbc`, `PERMISSIONS`, `REQ_POSTS`,  `TITLE`, `META_KEYWORDS`, `META_DESCRIPTION`)
				VALUES
				('".((trim($_POST['name']) == '') ? '-----' : mysql_escape_string($_POST['name']))."', 
				'".mysql_escape_string($_POST['content'])."', 
				'".time()."', 
				'$public',
				'$showmenuitem',
				'$enablephp',
				'$enablebbc',
				'".implode(',', $permissions)."',
				'".mysql_escape_string($_POST['req_posts'])."',
				'".mysql_escape_string($_POST['title'])."',
				'".mysql_escape_string($_POST['meta_k'])."',
				'".mysql_escape_string($_POST['meta_d'])."')",
				__FILE__, __LINE__
			);
			
			$page_id = mysql_insert_id();
			
			if (!rename($cache_file['filename'], str_replace($cache_file['hash'], $page_id, $cache_file['filename'])))
				fatal_error($txt['page_management_error_caching'], false);				
			
			redirectexit('action=pgmod;msg=added');
		}
		else
		{
			$context['pages_error'] = $error;
		}
	}

	$context['sub_template'] 	= 'addPages';
	$context['page_title'] 		= $txt['page_management_add_title'];
}

function deletePages()
{
	global $db_prefix, $txt;

	if(!isset($_REQUEST['page']) || !is_numeric($_REQUEST['page']))
		fatal_error($txt['page_management_error'], false);

	db_query("
		DELETE FROM `{$db_prefix}pages`
		WHERE `ID` = '".mysql_escape_string($_REQUEST['page'])."'", __FILE__, __LINE__
	);
	
	@unlink(pages_get_cache_filename($_REQUEST['page']));
	
	redirectexit('action=pgmod;msg=deleted');
}

function publicPages()
{
	global $db_prefix, $txt;

	if(!isset($_REQUEST['page']) || !is_numeric($_REQUEST['page']))
		fatal_error($txt['page_management_error'], false);

	db_query("
		UPDATE `{$db_prefix}pages`
			SET `PUBLICATE` = true
				WHERE `ID` = '".mysql_escape_string($_REQUEST['page'])."'", __FILE__, __LINE__);
	redirectexit('action=pgmod');
}

function unpublicPages()
{
	global $db_prefix, $txt;

	if(!isset($_REQUEST['page']) || !is_numeric($_REQUEST['page']))
		fatal_error($txt['page_management_error'], false);

	db_query("
		UPDATE `{$db_prefix}pages`
			SET `PUBLICATE` = false
				WHERE `ID` = '".mysql_escape_string($_REQUEST['page'])."'", __FILE__, __LINE__);
	redirectexit('action=pgmod');
}

function editPages()
{
	global $db_prefix, $context, $txt;

	if(!isset($_REQUEST['page']) || !is_numeric($_REQUEST['page']))
		fatal_error($txt['page_management_error'], false);

	if(isset($_POST['save']))
	{
		$public = !empty($_POST['public']) ? 1 : 0;
		$enablephp = !empty($_POST['enablephp']) ? 1 : 0;
		$enablebbc = !empty($_POST['enablebbc']) ? 1 : 0;
		$showmenuitem = !empty($_POST['showmenuitem']) ? 1 : 0;		
		
		$error = pages_check_content($_POST['content'], $enablephp, $enablebbc);
		if (!$error)
		{
			$cache_file = pages_put_cache($_REQUEST['page'], $_POST['content'], $enablephp, $enablebbc);
			if (!$cache_file)
				fatal_error($txt['page_management_error_caching'], false);
		
			$_POST['perms'][] = 1;

			for($i = 0; $i < count($_POST['perms']); $i++)
				$permissions[] = mysql_escape_string($_POST['perms'][$i]);
			
			db_query("
				UPDATE `{$db_prefix}pages`
				SET 
					`NAME` = '".((trim($_POST['name']) == '') ? '-----' : mysql_escape_string($_POST['name']))."', 
					`CONTENT` = '".mysql_escape_string($_POST['content'])."', 
					`PUBLICATE` = '$public',
					`showmenuitem` = '$showmenuitem',
					`enablephp` = '$enablephp',
					`enablebbc` = '$enablebbc',
					`PERMISSIONS` = '".implode(',', $permissions)."', 
					`REQ_POSTS` = '".mysql_escape_string($_POST['req_posts'])."', 
					`TITLE` = '".mysql_escape_string($_POST['title'])."', 
					`META_KEYWORDS` = '".mysql_escape_string($_POST['meta_k'])."', 
					`META_DESCRIPTION` = '".mysql_escape_string($_POST['meta_d'])."'
				WHERE 
					`ID` = '".mysql_escape_string($_REQUEST['page'])."'", 
				__FILE__, __LINE__
			);
			redirectexit('action=pgmod;msg=saved');
		}
	}

	$context['sub_template'] = 'editPages';
	$context['page_title'] = $txt['page_management_edit_title'];
}

function ShowPages()
{
	global $context, $pages, $db_prefix, $txt;

	if(!isset($_REQUEST['id']) || !is_numeric($_REQUEST['id']))
		redirectexit(null);

	loadTemplate('Pages');
	$context['page_title'] 		= $pages[$_REQUEST['id']]['title'];
	$context['meta_description'] 	= $pages[$_REQUEST['id']]['meta_d'];
	$context['meta_keywords'] 	= $pages[$_REQUEST['id']]['meta_k'];
	$context['sub_template'] 	= 'showPages';
}
?>