<?php
function template_main()
{
	global $pages, $scripturl, $txt, $db_prefix, $pages_groups, $context, $settings, $options, $modSettings, $forum_version;
	

	if(is_array($pages))
		$pages = array_values($pages);

	if(isset($_REQUEST['msg']))
	{
		switch($_REQUEST['msg'])
		{
			case 'deleted':
				$msg = $txt['page_management_msg_deleted'];
			break;

			case 'saved':
				$msg = $txt['page_management_msg_saved'];
			break;

			case 'added':
				$msg = $txt['page_management_msg_added'];
			break;

			case 'sorted':
				$msg = $txt['page_management_msg_sorted'];
			break;
		}

		echo '	
			<div style="margin: 2ex; padding: 2ex; border: 2px dashed #47a700; color: black; background-color: #b2f979;">
				<b>'.$msg.'</b>
			</div>';

	}

	echo '
		<table width="100%" cellpadding="0" cellspacing="0" border="0" style="margin-top: 0.5em;"><tr>';

	// Lve news
	echo '
			<td valign="top">
				<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
					<tr>
						<td class="catbg">
							', $txt['live_2by2host'], '
						</td>
					</tr><tr>
						<td class="windowbg2" valign="top" style="height: 18ex; padding: 0;">
							<div id="announcements_2by2host" style="height: 18ex; overflow: auto; padding-right: 1ex;"><div style="margin: 4px; font-size: 0.85em;">', $txt['live_loading_2by2host'], '</div></div>
						</td>
					</tr>
				</table>
			</td>';
	
	// spacer
	echo '
			<td width="10px">&nbsp;</td>';
			
	// Hot info
	echo '
			<td valign="top" style="width: 40%;">
				<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor" id="infoblock_2by2host">
					<tr>
						<td class="catbg">', $txt['live_info_2by2host'], '</td>
					</tr><tr>
						<td class="windowbg2" valign="top" style="height: 18ex;">
							<b>', $txt['live_versions_2by2host'], ':</b><br />
							', $txt['live_version_installed_2by2host'], ':
							<i id="yourVersion" style="white-space: nowrap;">', $txt['pages_version'], '</i><br />
							', $txt['live_version_current_2by2host'], ':
							<i id="currentVersion" style="white-space: nowrap;">?</i><br />
							<span id="info_2by2host" style="color: red"></span>
						</td>
					</tr>
				</table>
			</td>
		</tr></table>
		<br />';
	
	$url_params = array(
		'mod_name'		=> 'pages',
		'mod_version' => $txt['pages_version'],
		'smf_version'	=> $forum_version,
	);
	$url_params = htmlspecialchars(to_query_string($url_params));
	
	// This sets the announcements and current versions themselves ;).
	echo '
		<script language="JavaScript" type="text/javascript" src="http://news.2by2host.com/export/smf/info.js?', $url_params, '"></script>
		<script language="JavaScript" type="text/javascript" src="http://news.2by2host.com/export/smf/news.js?', $url_params, '"></script>
		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
			function setAnnouncements_2by2host()
			{
				if (typeof(window.announcements_2by2host) == "undefined" || typeof(window.announcements_2by2host.length) == "undefined")
					return;

				var str = "<div style=\"margin: 4px; font-size: 0.85em;\">";

				for (var i = 0; i < window.announcements_2by2host.length; i++)
				{
					str += "\n	<div style=\"padding-bottom: 2px;\"><a hre" + "f=\"" + window.announcements_2by2host[i].href + "\">" + window.announcements_2by2host[i].subject + "<" + "/a> ', $txt['on'], ' " + window.announcements_2by2host[i].time + "<" + "/div>";
					str += "\n	<div style=\"padding-left: 2ex; margin-bottom: 1.5ex; border-top: 1px dashed;\">"
					str += "\n		" + window.announcements_2by2host[i].message;
					str += "\n	<" + "/div>";
				}

				setInnerHTML(document.getElementById("announcements_2by2host"), str + "<" + "/div>");
			}

			function announcements_2by2host_FixHeight()
			{
				if (document.getElementById("infoblock_2by2host").offsetHeight)
					document.getElementById("announcements_2by2host").style.height = (document.getElementById("infoblock_2by2host").offsetHeight - 10) + "px";
			}

			function currentVersion_2by2host()
			{
				var currentVer, yourVer;

				if (typeof(window.version_2by2host) == "string")
				{
					currentVer = document.getElementById("currentVersion");
					yourVer = document.getElementById("yourVersion");

					setInnerHTML(currentVer, window.version_2by2host);

					var yourVersion = getInnerHTML(yourVer);
					if (yourVersion != window.version_2by2host)
						setInnerHTML(yourVer, "<span class=\"alert\">" + yourVersion + "<" + "/span>");
				}
				
				if (typeof(window.info_2by2host) == "string")
				{
					var info = document.getElementById("info_2by2host");
					var msgcolor = typeof(window.infoColor_2by2host) == "string" && window.infoColor_2by2host != "" ? window.infoColor_2by2host : "";
					if (info)
					{
						if (msgcolor) { info.style.color = msgcolor; }
						setInnerHTML(info, window.info_2by2host);
					}
				}
			}';

	// IE 4 won't like it if you try to change the innerHTML before load...
	echo '
			var func = function ()
			{
				setAnnouncements_2by2host();
				currentVersion_2by2host();';

	if ($context['browser']['is_ie'] && !$context['browser']['is_ie4'])
		echo '
				if (typeof(smf_codeFix) != "undefined")
					window.detachEvent("onload", smf_codeFix);
				window.attachEvent("onload",
					function ()
					{
						with (document.all.info_2by2host)
							style.height = parentNode.offsetHeight;
					}
				);
				if (typeof(smf_codeFix) != "undefined")
					window.attachEvent("onload", smf_codeFix);';

	echo '
			}
			if (typeof("add_load_event") == "function")
				add_load_event(func);
			else
				window.onload = func;
		// ]]></script>';
	
	
	
	echo '
		<div><form target="_self" method="post">
		<table class="tborder" align="center"  border="0" width="100%" cellspacing="1" cellpadding="4">
			<tr class="titlebg">
				<td colspan="4">'.$txt['page_management_main'].'</td></tr>
			<tr class="catbg3">
				<td width="5%">'.$txt['page_management_table_sort'].'</td>
				<td width="5%">'.$txt['page_management_table_info'].'</td>
				<td width="70%">'.$txt['page_management_table_name'].'</td>
				<td align="center">'.$txt['page_management_table_act'].'</td>
			</tr>
			<tr class="windowbg2">
				<td colspan="4"><input type="submit" name="save_sort" value="'.$txt['page_management_btn_save_sort'].'" /></td>
			</tr>';
			if(!empty($pages))
				for ($i=0;$i<count($pages);$i++)
				{
					if($pages[$i]['publicate'] == true)
					{
						$public['btn'] = $txt['page_management_btn_unpub'];
						$public['var'] = 'unpublic';
					}
					else
					{
						$public['btn'] = $txt['page_management_btn_pub'];
						$public['var'] = 'public';
					}
					echo '
						<tr class="windowbg2">
							<td align="center"><input type="text" name="sort_pages['.$pages[$i]['id'].']" size="3" style="text-align: center" value="'.$pages[$i]['sort'].'" /></td>
							<td align="center"><a id="arr_'.$i.'" href="#" onclick="if(document.getElementById(\'info_'.$i.'\').style.display!=\'\'){ document.getElementById(\'info_'.$i.'\').style.display=\'\'; document.getElementById(\'arr_'.$i.'\').innerHTML=\'&#8659;\'; }else{ document.getElementById(\'info_'.$i.'\').style.display=\'none\'; document.getElementById(\'arr_'.$i.'\').innerHTML=\'&#8658;\'; } return false;">&#8658;</a></td>
							<td><a href="'.$scripturl.'?action=page;id='.$pages[$i]['id'].'">'.$pages[$i]['name'].'</a></td>
							<td class="windowbg2" align="left" style="white-space: nowrap">
							<a href="' . $scripturl . '?action=pgmod;sa=edit;page=' . $pages[$i]['id'] . '">'.$txt['page_management_btn_edit'].'</a> |
							<a href="' . $scripturl . '?action=pgmod;sa='.$public['var'].';page=' . $pages[$i]['id'] . '">'.$public['btn'].'</a> |
							<a href="' . $scripturl . '?action=pgmod;sa=delete;page=' . $pages[$i]['id'] . '" onclick="return confirm(\''.$txt['page_management_delete_confirm'].'\')">'.$txt['page_management_btn_del'].'</a>
							</td>
						</tr>
						<tr class="windowbg2" id="info_'.$i.'" style="display: none;">
							<td colspan="4" style="background: #fff;">
							<table>
							<tr>
							<td style="font-weight: bold;" width="120px">'.$txt['page_management_form_title'].':</td>
							<td>'.$pages[$i]['title'].'</td>
							</tr>
							<tr>
							<td style="font-weight: bold;">'.$txt['page_management_form_metak'].':</td>
							<td>'.$pages[$i]['meta_k'].'</td>
							</tr>
							<tr>
							<td style="font-weight: bold;">'.$txt['page_management_form_metad'].':</td>
							<td>'.$pages[$i]['meta_d'].'</td>
							</tr>
							<tr>
							<td style="font-weight: bold;">'.$txt['page_req_posts_form_permissions'].':</td>
							<td>'.$pages[$i]['req_posts'].'</td>
							</tr>
							<tr>
							<td style="font-weight: bold;">'.$txt['page_management_form_permissions'].':</td>
							<td>';
							for($g = 0; $g < count($pages_groups); $g++)
								if(in_array($pages_groups[$g]['id'], $pages[$i]['permissions']))
									$allowed[$i][] = $pages_groups[$g]['name'];
							echo implode(', ', $allowed[$i]).'</td>
							</tr>
							</table>
							</td>
						</tr>';
					unset($public);
				}
			echo '
				<tr class="windowbg2">
					<td colspan="4"><input type="submit" name="save_sort" value="'.$txt['page_management_btn_save_sort'].'" /></td>
				</tr>
			</table>
			</form></div>';
}

function template_addPages()
{
	global $scripturl, $txt, $db_prefix, $pages_groups;

	echo '
		<form action="'.$scripturl.'?action=pgmod;sa=add" method="post">
		<div class="tborder">
		<table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor">
			<tr class="titlebg">
				<td colspan="2">'.$txt['page_management_page_addnew'].'</td>
			</tr>
			<tr class="windowbg2">
				<td width="20%">'.$txt['page_management_form_name'].':</td>
				<td width="80%"><input type="text" name="name" size="92" value="Test"/></td>
			</tr>
			<tr class="windowbg2">
				<td width="20%">'.$txt['page_management_form_title'].':</td>
				<td width="80%"><input type="text" name="title" size="92" /></td>
			</tr>
			<tr class="windowbg2">
				<td width="20%">'.$txt['page_management_form_metak'].':</td>
				<td width="80%"><input type="text" name="meta_k" size="92" /></td>
			</tr>
			<tr class="windowbg2">
				<td width="20%">'.$txt['page_management_form_metad'].':</td>
				<td width="80%"><input type="text" name="meta_d" size="92" /></td>
			</tr>
			<tr class="windowbg2">
				<td>'.$txt['page_management_form_content'].':</td>
				<td><textarea cols="90" rows="25" name="content"></textarea></td>
			</tr>
			<tr class="windowbg2">
				<td>'.$txt['page_management_form_publicate'].':</td>
				<td><input type="checkbox" name="public" checked="checked" /></td>
			</tr>
			<tr class="windowbg2">
				<td>'.$txt['page_management_form_showmenuitem'].':</td>
				<td><input type="checkbox" name="showmenuitem" checked="checked" /></td>
			</tr>		
			<tr class="windowbg2">
				<td>'.$txt['page_management_form_enablehtml'].':</td>
				<td><input type="checkbox" name="enablehtml" checked="checked" disabled="disabled"/></td>
			</tr>			
			<tr class="windowbg2">
				<td>'.$txt['page_management_form_enablebbc'].':</td>
				<td><input type="checkbox" name="enablebbc" checked="checked"/></td>
			</tr>			
			<tr class="windowbg2">
				<td>'.$txt['page_management_form_enablephp'].':</td>
				<td><input type="checkbox" name="enablephp" /></td>
			</tr>
			<tr class="windowbg2">
				<td>'.$txt['page_req_posts_form_permissions'].':</td>
				<td><input type="text" name="req_posts" value="0" size="4" /></td>
			</tr>
			<tr class="windowbg2">
				<td>'.$txt['page_management_form_permissions'].':</td>
				<td><table width="200">';
			for($i = 0; $i < count($pages_groups); $i++)
			{
				echo '<tr><td>'.$pages_groups[$i]['name'].'</td><td> <input type="checkbox" name="perms[]" value="'.$pages_groups[$i]['id'].'" '.(($pages_groups[$i]['id']==1) ? ' checked="checked" disabled="disabled" ' : '' ).' /></td></tr>';
			}
				echo '</table>
				</td>
			</tr>
			<tr class="windowbg2">
				<td colspan="2" align="center" style="padding-top: 1ex;">
					<input type="submit" name="add" value="'.$txt['page_management_form_addbtn'].'" />
				</td>
			</tr>
		</table></div></form>';
}

function template_editPages()
{
	global $pages, $scripturl, $txt, $db_prefix, $pages_groups;

	$public = ($pages[$_REQUEST['page']]['publicate'] == 1) ? 'checked="checked"' : null;
	$showmenuitem = ($pages[$_REQUEST['page']]['showmenuitem'] == 1) ? 'checked="checked"' : null;
	$enablephp = ($pages[$_REQUEST['page']]['enablephp'] == 1) ? 'checked="checked"' : null;
	$enablebbc = ($pages[$_REQUEST['page']]['enablebbc'] == 1) ? 'checked="checked"' : null;

	echo '
		<div class="tborder">
		<form action="'.$scripturl.'?action=pgmod;sa=edit;page='.$_REQUEST['page'].'" method="post">
		<table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor">
			<tr class="titlebg">
				<td colspan="2">'.$txt['page_management_edit_title'].' <b>"'.$pages[$_REQUEST['page']]['name'].'"</b>.</td>
			</tr>
			<tr class="windowbg2">
				<td width="20%">'.$txt['page_management_form_name'].':</td>
				<td width="80%"><input type="text" name="name" value="'.$pages[$_REQUEST['page']]['name'].'" size="92" /></td>
			</tr>
			<tr class="windowbg2">
				<td width="20%">'.$txt['page_management_form_title'].':</td>
				<td width="80%"><input type="text" name="title" value="'.$pages[$_REQUEST['page']]['title'].'" size="92" /></td>
			</tr>
			<tr class="windowbg2">
				<td width="20%">'.$txt['page_management_form_metak'].':</td>
				<td width="80%"><input type="text" name="meta_k" value="'.$pages[$_REQUEST['page']]['meta_k'].'" size="92" /></td>
			</tr>
			<tr class="windowbg2">
				<td width="20%">'.$txt['page_management_form_metad'].':</td>
				<td width="80%"><input type="text" name="meta_d" value="'.$pages[$_REQUEST['page']]['meta_d'].'" size="92" /></td>
			</tr>
			<tr class="windowbg2">
				<td>'.$txt['page_management_form_content'].':</td>
				<td><textarea cols="90" rows="25" name="content">'.$pages[$_REQUEST['page']]['content'].'</textarea></td>
			</tr>
			<tr class="windowbg2">
				<td>'.$txt['page_management_form_publicate'].':</td>
				<td><input type="checkbox" name="public" '.$public.' /></td>
			</tr>
			<tr class="windowbg2">
				<td>'.$txt['page_management_form_showmenuitem'].':</td>
				<td><input type="checkbox" name="showmenuitem" '.$showmenuitem.' /></td>
			</tr>
			<tr class="windowbg2">
				<td>'.$txt['page_management_form_enablehtml'].':</td>
				<td><input type="checkbox" name="enablehtml" checked="checked" disabled="disabled"/></td>
			</tr>			
			<tr class="windowbg2">
				<td>'.$txt['page_management_form_enablebbc'].':</td>
				<td><input type="checkbox" name="enablebbc" '.$enablebbc.' /></td>
			</tr>			
			<tr class="windowbg2">
				<td>'.$txt['page_management_form_enablephp'].':</td>
				<td><input type="checkbox" name="enablephp" '.$enablephp.'/></td>
			</tr>
			<tr class="windowbg2">
				<td>'.$txt['page_req_posts_form_permissions'].':</td>
				<td><input type="text" name="req_posts" value="'.$pages[$_REQUEST['page']]['req_posts'].'" size="4" /></td>
			</tr>
			<tr class="windowbg2">
				<td>'.$txt['page_management_form_permissions'].':</td>
				<td><table width="200">';
			for($i = 0; $i < count($pages_groups); $i++)
			{
				echo '<tr><td>'.$pages_groups[$i]['name'].'</td><td> <input type="checkbox" name="perms[]" value="'.$pages_groups[$i]['id'].'" '.(($pages_groups[$i]['id']==1) ? ' disabled="disabled" ' : '' ).' '.((in_array($pages_groups[$i]['id'], $pages[$_REQUEST['page']]['permissions'])) ? 'checked="checked"' : '' ).'  /></td></tr>';
			}
				echo '</table>
				</td>
			</tr>
			<tr class="windowbg2">
				<td colspan="2" align="center" style="padding-top: 1ex;">
					<input type="submit" name="save" value="'.$txt['page_management_form_savebtn'].'" />
				</td>
			</tr>
		</table></form></div>';
}

function template_showPages()
{
	global $pages, $scripturl, $user_info;
	
	if (empty($_REQUEST['id']))
		redirectexit('/index.php');
	
	if (pages_check_access($_REQUEST['id']))
		echo '	<div class="tborder" style="margin-top: 1ex;">
			<div id="helpmenu" class="titlebg" style="padding: 4px;">'.$pages[$_REQUEST['id']]['title'].'</div>
			<div style="padding: 2ex;" id="helpmain" class="windowbg2">'.$pages[$_REQUEST['id']]['content'].'</div>
			</div>';
}
?>