<?php
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	die('Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

/*
Installing the pages mod for the first time
*/

db_extend('packages');
db_extend();

global $db_prefix;
$tables = $smcFunc['db_list_tables'](false, $db_prefix . 'pages');
if (empty($tables))
{
	$smcFunc['db_create_table'](
		// table name
		'{db_prefix}pages',
		// Columns
		array(
			'id' => array(
				'name' 		=> 'id',
				'type' 	=> 'mediumint',
				'size'		=> 8,
				'auto'		=> true,
			),
			'name' => array(
				'name' 		=> 'name',
				'type'		=> 'text',
			),
			'content' => array(
				'name' => 'content',
				'type' => 'mediumtext',
			),
			'time' => array(
				'name' => 'time',
				'type' => 'int',
				'size' => 11,
				'default' => 0,
			),
			'sort' => array(
				'name' => 'sort',
				'type' => 'int',
				'size' => 3,
				'default' => 0,
			),
			'publicate' => array(
				'name' => 'publicate',
				'type' => 'tinyint',
				'size' => 1,
				'default' => 0,
			),
			'showmenuitem' => array(
				'name' => 'showmenuitem',
				'type' => 'tinyint',
				'size' => 1,
				'default' => 1,
			),
			'enablebbc' => array(
				'name' => 'enablebbc',
				'type' => 'tinyint',
				'size' => 1,
				'default' => 1,
			),
			'enablephp' => array(
				'name' => 'enablephp',
				'type' => 'tinyint',
				'size' => 1,
				'default' => 0,
			),
			'permissions' => array(
				'name' => 'permissions',
				'type' => 'varchar',
				'size' => 100,
				'default' => '1',
			),
			'req_posts' => array(
				'name' => 'req_posts',
				'type' => 'int',
				'size' => 11,
				'default' => 0,
			),
			'title' => array(
				'name' => 'title',
				'type' => 'text',
			),
			'meta_keywords' => array(
				'name' => 'meta_keywords',
				'type' => 'text',
			),
			'meta_description' => array(
				'name' => 'meta_description',
				'type' => 'text',
			),
		),
		// Indexes
		array(
			array(
				'name' 				=> 'id',
				'type' 				=> 'primary',
				'is_primary' 	=> true,
				'columns' 		=> array('id'),
			),
		),
		// Additional params (such as 'no_prefix')
		'no_prefix',
		// if exists
		'ignore'
	);

	$smcFunc['db_insert'](
		'insert',
		'{db_prefix}pages',
		array(
			'name' 							=> 'string',
			'content' 					=> 'string',
			'time' 							=> 'int',
			'publicate'					=> 'int',
			'title'							=> 'string',
			'meta_keywords'			=> 'string',
			'meta_description' 	=> 'string',
		),
		array(
			'Test',
			'
This is a default test page created by the Pages Mod. You can easily edit or remove it at any time. Here is what you can do with this page:

1. Add some content about your board
2. Place some advertisement (see example below)

Sample Advertisement:

You may also find useful the <a href="http://custom.simplemachines.org/mods/index.php?mod=1886">Twitter and Facebook Publisher Mod</a> created by <a href="http://2by2host.com/">2by2host webhosting company</a>.
',
			time(),
			1,
			'Test',
			'Test',
			'Test',
		),
		array(
			'id',
		)
	);

}

if(SMF == 'SSI')
	echo 'Database updates complete!';

require_once($sourcedir . '/2by2host_install.php');
install2by2host_mod(array('name' => 'Pages Management', 'version' => '1.4'));
?>